packages: w32codec/license-installer.sh - adapted to new CVS layout - use t...

pawelz pawelz at pld-linux.org
Fri Dec 25 14:01:59 CET 2009


Author: pawelz                       Date: Fri Dec 25 13:01:59 2009 GMT
Module: packages                      Tag: HEAD
---- Log message:
- adapted to new CVS layout
- use the fastest compression (w1.gzdio) for temporary packages

---- Files affected:
packages/w32codec:
   license-installer.sh (1.11 -> 1.12) 

---- Diffs:

================================================================
Index: packages/w32codec/license-installer.sh
diff -u packages/w32codec/license-installer.sh:1.11 packages/w32codec/license-installer.sh:1.12
--- packages/w32codec/license-installer.sh:1.11	Sat Apr 22 20:44:56 2006
+++ packages/w32codec/license-installer.sh	Fri Dec 25 14:01:53 2009
@@ -1,12 +1,11 @@
 #!/bin/sh
 if [ "$1" = "--with" -a "$2" = "license_agreement" ]; then
 	tmp=$(mktemp -d)
-	SPECDIR=`rpm --define "_topdir $tmp" --eval "%{_specdir}"`
 	SRPMDIR=`rpm --define "_topdir $tmp" --eval "%{_srcrpmdir}"`
-	SOURCEDIR=`rpm --define "_topdir $tmp" --eval "%{_sourcedir}"`
 	BUILDDIR=`rpm --define "_topdir $tmp" --eval "%{_builddir}"`
 	RPMDIR=`rpm --define "_topdir $tmp" --eval "%{_rpmdir}"`
-	mkdir -p $SPECDIR $SRPMDIR $RPMDIR $SRPMDIR $SOURCEDIR $BUILDDIR
+	PACKAGEDIR="$tmp/packages/acroread"
+	mkdir -p $SRPMDIR $RPMDIR $BUILDDIR $PACKAGEDIR
 
 	if echo "$3" | grep '\.src\.rpm$' >/dev/null; then
 		(
@@ -16,25 +15,25 @@
 		else
 			cp -f "$3" $SRPMDIR
 		fi
-		rpm2cpio `basename "$3"` | ( cd $SPECDIR; cpio -i @BASE_NAME at .spec )
+		rpm2cpio `basename "$3"` | ( cd $PACKAGEDIR; cpio -i @BASE_NAME at .spec )
 		if [ '@COPYSOURCES@' != '@'COPYSOURCES'@' ]; then
-			rpm2cpio `basename "$3"` | ( cd $SOURCEDIR; cpio -i @COPYSOURCES@ )
+			rpm2cpio `basename "$3"` | ( cd $PACKAGEDIR; cpio -i @COPYSOURCES@ )
 		fi
 	   	)
 	else
-		cp -i "$3" $SPECDIR || exit 1
+		cp -i "$3" $PACKAGEDIR || exit 1
 		if [ '@COPYSOURCES@' != '@'COPYSOURCES'@' ]; then
 			for i in @COPYSOURCES@; do
-				cp -i @DATADIR@/$i $SOURCEDIR/$i || exit 1
+				cp -i @DATADIR@/$i $PACKAGEDIR/$i || exit 1
 			done
 		fi
 	fi
-	( cd $SPECDIR
+	( cd $PACKAGEDIR
 	nd=
 	if [ '@USE_DISTFILES@' = 'no' ]; then
 		nd=-nd
 	fi
-	/usr/bin/builder --define _topdir $tmp $nd -nm -nc -ncs --with license_agreement --target @TARGET_CPU@ @BASE_NAME at .spec
+	/usr/bin/builder --define _topdir $tmp --define _binary_payload w1.gzdio $nd -nm -nc -ncs --with license_agreement --target @TARGET_CPU@ @BASE_NAME at .spec
 	if [ "$?" -ne 0 ]; then
 		exit 2
 	fi
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/w32codec/license-installer.sh?r1=1.11&r2=1.12&f=u



More information about the pld-cvs-commit mailing list